package javacard.framework;

public class Util {
    public static byte arrayCompare(byte[] src, short srcOff, byte[] dest, short destOff, short length) {
        return 0;
    }

    public static short arrayCopy(byte[] src, short srcOff, byte[] dest, short destOff, short length) {
        return 0;
    }

    public static short arrayCopyNonAtomic(byte[] src, short srcOff, byte[] dest, short destOff, short length) {
        for (short i = 0; i < length; ++i) {
            dest[destOff + i] = src[srcOff + i];
        }
        return (short) (destOff + length);
    }

    public static short arrayFill(byte[] bArray, short bOff, short bLen, byte bValue) {
        return 0;
    }

    public static short arrayFillNonAtomic(byte[] bArray, short bOff, short bLen, byte bValue) {
        for (short i = 0; i < bLen; ++i) {
            bArray[bOff + i] = bValue;
        }
        return (short) (bOff + bLen);
    }

    public static short getShort(byte[] bArray, short bOff) {
        return 0;
    }

    public static short makeShort(byte b1, byte b2) {
        return 0;
    }

    public static short setShort(byte[] bArray, short bOff, short sValue) {
        return 0;
    }
}
